# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "swc_cli_impl"
version = "0.24.1"
authors = [
    "강동윤 <kdy1997.dev@gmail.com>",
    "OJ Kwon <kwon.ohjoong@gmail.com>",
]
build = false
include = [
    "Cargo.toml",
    "src/**/*.rs",
]
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Commandline for SWC (Internal crate with implementation)"
readme = false
license = "Apache-2.0"
repository = "https://github.com/swc-project/swc.git"

[lib]
name = "swc_cli_impl"
crate-type = ["rlib"]
path = "src/lib.rs"

[[bin]]
name = "swc"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0.81"

[dependencies.clap]
version = "3.2.25"
features = [
    "derive",
    "wrap_help",
]

[dependencies.glob]
version = "0.3.0"

[dependencies.path-absolutize]
version = "3.0.11"
features = ["once_cell_cache"]

[dependencies.rayon]
version = "1.7.0"

[dependencies.relative-path]
version = "1.6.1"

[dependencies.serde]
version = "1.0.197"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.115"
features = ["unbounded_depth"]

[dependencies.sourcemap]
version = "9.0.0"

[dependencies.swc_core]
version = "0.106.1"
features = [
    "trace_macro",
    "common_concurrent",
    "base_concurrent",
]

[dependencies.tracing]
version = "0.1.40"

[dependencies.tracing-chrome]
version = "0.5.0"

[dependencies.tracing-futures]
version = "0.2.5"

[dependencies.tracing-subscriber]
version = "0.3.18"
features = ["env-filter"]

[dependencies.walkdir]
version = "2.4.0"

[dev-dependencies.assert_cmd]
version = "2.0.12"

[dev-dependencies.assert_fs]
version = "1.0.13"

[features]
default = []
plugin = [
    "swc_core/plugin_transform_host_native",
    "swc_core/plugin_transform_host_native_filesystem_cache",
]
